// Example demonstrates the use of github.com/benesch/cgosymbolizer.
//
// When invoked it prints two backtraces that include C functions. The first is
// generated by a C function that calls a Go function which dumps the stack. The
// second is generated by raising SIGABRT from C.
package main

import (
	"runtime/debug"

	_ "github.com/benesch/cgosymbolizer"
)

// #cgo CFLAGS: -g -O0
// void c1(void);
import "C"

func main() {
	go1()
}

func go1() {
	go2()
}

func go2() {
	C.c1()
}

//export goPrintStack
func goPrintStack() {
	debug.PrintStack()
}
